%define	hotplugdir	/etc/hotplug

Summary:		Linux Hotplug Scripts
Name:			hotplug
Version:		2002_08_26
Release:		1.3.0
Group:			Applications/System
License:		GPL
BuildArchitectures:	noarch
Source0:		http://linux-hotplug.sourceforge.net/%{name}-%{version}.tar.gz
Patch0:			hotplug-2001_04_24-init-gd.diff
Patch1:			hotplug-2002_08_26-usb.rc-noerroroutput-gd.diff
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Prereq:			/sbin/chkconfig

%description
This package contains the scripts necessary for hotplug Linux support.

%files
  %defattr(-,root,root)
  %attr(0444,root,root)		%doc %{_mandir}/man?/*
  %attr(0444,root,root)		%doc README ChangeLog
  %attr(0700,root,root)		%{_root_sbindir}/hotplug
  %attr(0700,root,root)		%{_sysconfdir}/init.d/hotplug
  %attr(0750,root,admin)	%dir %{hotplugdir}
  %attr(0750,root,admin)	%{hotplugdir}/*.agent
  %attr(0750,root,admin)	%{hotplugdir}/usb.rc
  %attr(0640,root,admin)	%{hotplugdir}/blacklist
  %attr(0640,root,admin)	%{hotplugdir}/hotplug.functions
  %attr(0640,root,admin)	%{hotplugdir}/usb.distmap
  %attr(0640,root,admin)	%{hotplugdir}/usb.handmap
  %attr(0640,root,admin)	%{hotplugdir}/usb.usermap

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  # Create target directories.
  mkdir -p ${RPM_BUILD_ROOT}/%{_root_sbindir}
  mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d
  mkdir -p ${RPM_BUILD_ROOT}/%{hotplugdir}
  mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8

  # Install hotplug scripts, man page, initscript, and helper scripts.
  install -m 444 hotplug.8    $RPM_BUILD_ROOT/%{_mandir}/man8/
  install -m 755 sbin/hotplug $RPM_BUILD_ROOT/%{_root_sbindir}/
  install -m 700 etc/rc.d/init.d/hotplug $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/
  cp -a -r etc/hotplug/* ${RPM_BUILD_ROOT}/%{hotplugdir}/

%post
  /sbin/chkconfig --add hotplug

%preun
  if [ "$1" = 0 ] ; then
	/etc/init.d/hotplug stop >&2
	/sbin/chkconfig --del hotplug
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 17 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2002_08_26, Release 1.5.1
  - Upgraded to latest upstream version.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Tue Sep 25 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2001_04_24, Release 1.1.2
  - Added a quick patch to usb.rc to drop some error output when
      checking for /proc/bus/usb.

* Mon Sep 24 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2001_04_24, Release 1.1.1
  - Patched initscript to add ESL-ized output.

* Tue Sep 18 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2001_04_24, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).
  - Imported spec from the linux-hotplug project.  %changelog sanitized.
  - Ryan-ized spec file.

